package com.cloudcross.ssp.service;



import java.util.*;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.model.BannerTemplate;


/**
 * 创意服务模板表服务接口
 * @author chenyou
 *
 */

public interface IBannerTemplateService extends IGenericService<BannerTemplate> {
	/**
	 * 编辑新增创意信息
	 * @param bannerTemplate
	 * @param targetParamsMap
	 * @return 
	 */
	boolean save(BannerTemplate bannerTemplate, Map<String, Object> targetParamsMap);
	 
	public boolean alterName(Map<String, Object> paramMap);

	int countByParams2(Map<String, Object> paramMap);
	
	int countByParams3(Map<String, Object> paramMap);

	List<BannerTemplate> findByParams2(Map<String, Object> paramMap, Pager pager);
	
	List<BannerTemplate> findByParams4(Map<String, Object> paramMap, Pager pager);

	boolean updataIds(BannerTemplate t);

	boolean deleteUpdata(List<Long> idList, int status);
}
